Bug 25509 - Remove useless libjs-jquery dependency
Summary: Remove useless libjs-jquery dependency
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: David Cook
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-15 03:58 UTC by David Cook
Modified: 2020-07-23 22:33 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.02, 19.11.08, 19.05.14


Attachments
Bug 25509: Remove useless libjs-jquery dependency (1.07 KB, patch)
2020-05-15 04:57 UTC, David Cook
Details | Diff | Splinter Review
Bug 25509: Remove useless libjs-jquery dependency (1.14 KB, patch)
2020-06-17 12:10 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 25509: Remove useless libjs-jquery dependency (1.21 KB, patch)
2020-06-19 12:12 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2020-05-15 03:58:40 UTC
We have a dependency on libjs-jquery for the Debian packages, but it appears to be unused.
Comment 1 David Cook 2020-05-15 04:57:30 UTC
Created attachment 104911 [details] [review]
Bug 25509: Remove useless libjs-jquery dependency

We don't use the libjs-jquery package, so we should remove
the dependency.

To Test:
1) Build package (out of scope of test plan)
2) Install package
3) Note that libjs-jquery is marked by apt as no longer required
4) Remove libjs-jquery package from system and note how it
doesn't take koha-common with it
Comment 2 David Cook 2020-05-15 07:08:44 UTC
Looking back at 97232eee15e, the original "koha" package by Lars had "libjs-jquery", "tinymce2", and "libjs-yui". 

You can see there that he was overriding the bundled jquery, tinymce, and yui with the Debian package versions.

But we don't do that anymore.
Comment 3 Jonathan Druart 2020-06-17 12:10:04 UTC
Created attachment 105951 [details] [review]
Bug 25509: Remove useless libjs-jquery dependency

We don't use the libjs-jquery package, so we should remove
the dependency.

To Test:
1) Build package (out of scope of test plan)
2) Install package
3) Note that libjs-jquery is marked by apt as no longer required
4) Remove libjs-jquery package from system and note how it
doesn't take koha-common with it

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 David Cook 2020-06-18 02:30:46 UTC
Yahoo. Cheers, Jonathan!
Comment 5 Martin Renvoize 2020-06-19 12:12:30 UTC
Created attachment 106075 [details] [review]
Bug 25509: Remove useless libjs-jquery dependency

We don't use the libjs-jquery package, so we should remove
the dependency.

To Test:
1) Build package (out of scope of test plan)
2) Install package
3) Note that libjs-jquery is marked by apt as no longer required
4) Remove libjs-jquery package from system and note how it
doesn't take koha-common with it

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2020-06-19 12:12:54 UTC
Nice spot.. Passing QA
Comment 7 Jonathan Druart 2020-06-24 13:32:43 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 8 Lucas Gass 2020-07-10 15:51:42 UTC
backported to 20.05.x for 20.05.02
Comment 9 Aleisha Amohia 2020-07-12 22:52:07 UTC
backported to 19.11.x for 19.11.08
Comment 10 Victor Grousset/tuxayo 2020-07-23 22:33:33 UTC
Backported to 19.05.x branch for 19.05.14